package cn.qinys.platform.base.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Description:
 * 根据用户和接口做限制
 *
 * @author tanlie
 * Date: 2024/9/2 8:54
 */


@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface LimitedRate {
    //限制次数
    int limit() default 30;

    //限制时间 秒
    long timeout() default 60;

    String description() default "";
}
